Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## transformation.associationtags.buttonlisteners
Class OKButtonListener

    java.lang.Object
      transformation.associationtags.buttonlisteners.OKButtonListener

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class OKButtonListener

extends java.lang.Object
implements java.awt.event.ActionListener

Constructor Summary
`OKButtonListener(javax.swing.JComboBox protectedAction, javax.swing.JTextField roleUser, javax.swing.JComboBox roleRole, DiagramExtension diagramExtension, AssociationTagWindow window, java.util.List<AssociationTag> tags, java.util.List<javax.swing.JCheckBox> checkBoxes, java.util.Map<java.lang.String,java.util.List<java.lang.String>> partitionActionsMap)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Validates input data on the association tag adding form and if everything is OK, adds the association tag to the model

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OKButtonListener

    public OKButtonListener(javax.swing.JComboBox protectedAction,
                            javax.swing.JTextField roleUser,
                            javax.swing.JComboBox roleRole,
                            DiagramExtension diagramExtension,
                            AssociationTagWindow window,
                            java.util.List<AssociationTag> tags,
                            java.util.List<javax.swing.JCheckBox> checkBoxes,
                            java.util.Map<java.lang.String,java.util.List<java.lang.String>> partitionActionsMap)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Validates input data on the association tag adding form and if everything is OK, adds the association tag to the model

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD